@import 'styleguide/breakpoints';

.app-header {
  position: fixed;
  padding-top: 1.4rem;
  background-color: var(--black);
  width: 100%;
  z-index: 7;

  max-width: 100vw;

  &__container {
    box-sizing: border-box;
    max-width: 100%;
    margin: 0;
    padding: 0;
  }

  &__logo {
    align-self: center;
    text-align: left;
    margin-bottom: 2rem;
    @media (min-width: $breakpoint-md) {
      width: 100%;
      padding: 0 5rem;
    }
    &.mobile {
      position: fixed;
      top: 1.4rem;
      z-index: 8;
    }
  }

  &__menu {
    display: flex;
    &__nav {
      & > * {
        margin-left: 12px;
      }
      display: none;
      .dropdown {
        position: relative;

        span {
          display: flex;
          align-items: center;

          i {
            margin-left: 5px;
          }
        }

        &:hover {
          span {
            color: var(--blue);
          }
        }
      }

      .dropdown-content {
        display: none;
        position: absolute;
        min-width: 350px;
        padding: 12px 16px;
        z-index: 7;
        border: 1px solid #fff;
        text-align: left;
        background-color: var(--black);
      }

      .dropdown:hover .dropdown-content {
        display: block;
      }

      .dropdown:hover .arrow {
        margin-top: 5px;
        transform: rotate(-135deg);
        -webkit-transform: rotate(-135deg);
        border-color: var(--blue);
      }

      .arrow {
        border: solid #fff;
        border-width: 0 2px 2px 0;
        display: inline-block;
        padding: 3px;
        margin-top: -5px;
        transform: rotate(45deg);
        -webkit-transform: rotate(45deg);
        transition-duration: 0.4s;
      }
      &.mobile {
        display: flex;
        flex-direction: column;
        position: fixed;
        z-index: 7;
        left: 0;
        background-color: var(--black);
        width: 100%;
        padding: 0 2rem 2rem;
        .dropdown {
          visibility: hidden;
          .dropdown-content {
            margin-top: 3rem;
            visibility: visible;
            display: block;
            position: relative;
            border: 0;
            padding: 0;
            text-align: center;
            width: 100%;
            min-width: unset;
            a {
              padding: 0.5rem 0;
            }
          }
        }
        .app-header-button {
          padding: 0.5rem 0;
        }
      }
    }

    &.text-end {
      text-align: center !important;
      @media (min-width: $breakpoint-md) {
        text-align: right;
      }
    }

    .btn {
      color: var(--field-grey-two);
      font-size: 1.2rem;
      font-weight: 600;
      letter-spacing: 0.1rem;
      margin-right: 1rem;
      text-decoration: none;

      &:last-child {
        margin-right: 0;
      }
    }
    @media (min-width: $breakpoint-md) {
      &__nav {
        display: flex;
      }
      align-self: center;
    }
    &__hamburger {
      background-color: transparent;
      border: 0;
      transition: all 0.2s ease-in;
      position: fixed;
      top: 1.5rem;
      z-index: 7;
      right: 10%;
      .line {
        width: 30px;
        height: 3px;
        background-color: #ecf0f1;
        display: block;
        margin: 6px auto;
        transition: all 0.2s ease-in;
      }
      &.is-active {
        .line {
          &:nth-child(1),
          &:nth-child(2),
          &:nth-child(3) {
            transition-delay: 0.2s;
          }
          &:nth-child(2) {
            opacity: 0;
          }
          &:nth-child(1) {
            transform: translateY(5px) rotate(45deg);
          }
          &:nth-child(3) {
            transform: translateY(-13px) rotate(-45deg);
          }
        }
      }
      &:hover {
        cursor: pointer;
      }
      @media (min-width: $breakpoint-md) {
        display: none;
      }
    }

    &__backdrop {
      width: 100%;
      height: 100%;
      position: fixed;
      top: 0;
      left: 0;
      background: var(--black);
      z-index: 6;
    }
  }

  &__switch-chain {
    display: inline-block;

    img {
      margin-right: 0.5rem;
    }

    .btn {
      font-size: 13px;
      font-weight: normal;
      letter-spacing: 0.18px;
      color: var(--grey);
      background: none;
      text-transform: none;

      &:hover {
        border-color: transparent;
      }
    }
  }

  .show > .btn-primary.dropdown-toggle {
    color: var(--white);
    background: none;
    border-color: transparent;

    &:focus {
      box-shadow: none;
    }
  }
  @media (min-width: $breakpoint-md) {
    position: static;
    padding-bottom: 2.4rem;
    background-color: unset;
  }
}
